Bug 1035164 - [abrt] dnf-0.4.7-1.fc20: miscutils.py:61:checkSig:OSError: [Errno 2] Adresář nebo soubor neexistuje: '/var/cache/dnf/x86_64/20/updates-testing/packages/kernel-3.11.9-300.fc20.x86_64.rpm'
[abrt] dnf-0.4.7-1.fc20: miscutils.py:61:checkSig:OSError: [Errno 2] Adresář ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdeněk Pavlas
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f16622c607dc4c17ae09febdcfa...
:
: 1039319 1045012 1048183 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-27 03:14 EST by Jaroslav Škarvada
Modified: 2014-02-02 17:29 EST (History)
10 users (show)

See Also:
Fixed In Version: dnf-0.4.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-04 14:53:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.50 KB, text/plain)
2013-11-27 03:14 EST, Jaroslav Škarvada
no flags Details
File: environ (2.68 KB, text/plain)
2013-11-27 03:14 EST, Jaroslav Škarvada
no flags Details
dnf.log (190.16 KB, text/x-log)
2013-11-27 08:09 EST, Jaroslav Škarvada
no flags Details

  None (edit)
Description Jaroslav Škarvada 2013-11-27 03:14:24 EST
Description of problem:
dnf upgrade

Version-Release number of selected component:
dnf-0.4.7-1.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /bin/dnf upgrade
executable:     /bin/dnf
kernel:         3.11.8-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
miscutils.py:61:checkSig:OSError: [Errno 2] Adresář nebo soubor neexistuje: '/var/cache/dnf/x86_64/20/updates-testing/packages/kernel-3.11.9-300.fc20.x86_64.rpm'

Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 277, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 190, in _main
    return_code, resultmsgs = base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 196, in do_transaction
    if self.gpgsigcheck(downloadpkgs) != 0:
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 216, in gpgsigcheck
    result, errmsg = self.sigCheckPkg(po)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 1061, in sigCheckPkg
    sigresult = dnf.rpmUtils.miscutils.checkSig(ts, po.localPkg())
  File "/usr/lib/python2.7/site-packages/dnf/rpmUtils/miscutils.py", line 61, in checkSig
    fdno = os.open(package, os.O_RDONLY)
OSError: [Errno 2] Adresář nebo soubor neexistuje: '/var/cache/dnf/x86_64/20/updates-testing/packages/kernel-3.11.9-300.fc20.x86_64.rpm'

Local variables in innermost frame:
currentflags: 986880
ts: <dnf.rpmUtils.transaction.TransactionWrapper object at 0x1242e50>
value: 0
package: '/var/cache/dnf/x86_64/20/updates-testing/packages/kernel-3.11.9-300.fc20.x86_64.rpm'
Comment 1 Jaroslav Škarvada 2013-11-27 03:14:33 EST
Created attachment 829606 [details]
File: backtrace
Comment 2 Jaroslav Škarvada 2013-11-27 03:14:37 EST
Created attachment 829607 [details]
File: environ
Comment 3 Ales Kozumplik 2013-11-27 03:45:24 EST
Zdenek please take a look, looks like another download/package location issue.
Comment 4 Jaroslav Škarvada 2013-11-27 04:00:40 EST
Maybe some race condition somewhere due to parallel downloading. It happened very soon before dnf started downloading. After the subsequent 'dnf upgrade', it started downloading the files.
Comment 5 Zdeněk Pavlas 2013-11-27 07:43:04 EST
> It happened very soon before dnf started downloading.

That's plain impossible.. "if self.gpgsigcheck(downloadpkgs) != 0:" runs AFTER downloading, and ONLY when download was succesfull (no errors)

> package: '/var/cache/dnf/x86_64/20/updates-testing/packages/kernel-3.11.9-300.fc20.x86_64.rpm'

The downloader skips download/checksum of packages from command line and local repositories, but this clearly was not the case, so it likely was there.. AIUI the only explanation is a race.

It'd be helpful if you could paste the dnf output before the traceback, but you've probably already closed that shell window, I suppose.
Comment 6 Jaroslav Škarvada 2013-11-27 08:08:44 EST
(In reply to Zdeněk Pavlas from comment #5)
> > It happened very soon before dnf started downloading.
> 
> That's plain impossible.. "if self.gpgsigcheck(downloadpkgs) != 0:" runs
> AFTER downloading, and ONLY when download was succesfull (no errors)
> 
I am not sure about the details, but I didn't see the download progress bar. On the second run, it was downloading for several minutes.

> > package: '/var/cache/dnf/x86_64/20/updates-testing/packages/kernel-3.11.9-300.fc20.x86_64.rpm'
> 
> The downloader skips download/checksum of packages from command line and
> local repositories, but this clearly was not the case, so it likely was
> there.. AIUI the only explanation is a race.
> 
> It'd be helpful if you could paste the dnf output before the traceback, but
> you've probably already closed that shell window, I suppose.

Sorry, the history from the terminal is gone. I can attach the dnf.log (but I am not sure whether it will be useful). The 9:11 is the first failed run, the 9:20 is the second run that finished OK.
Comment 7 Jaroslav Škarvada 2013-11-27 08:09:34 EST
Created attachment 829723 [details]
dnf.log
Comment 8 Jaroslav Škarvada 2013-12-05 16:56:04 EST
It happened again. This time I was offline with all ethernet interfaces down:

# dnf upgrade
Problem with repo 'virtualbox': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Problem with repo 'beaker-client': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Problem with repo 'steam': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Problem with repo 'fedora-chromium-stable': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Resolving dependencies
--> Starting dependency resolution
---> Package kernel.x86_64 3.11.10-300.fc20 will be instalován
---> Package kernel-devel.x86_64 3.11.10-300.fc20 will be instalován
---> Package kernel-modules-extra.x86_64 3.11.10-300.fc20 will be instalován
---> Package gnome-shell.x86_64 3.10.2.1-2.fc20 will be upgraded
---> Package gnome-shell.x86_64 3.10.2.1-3.fc20 will be an upgrade
---> Package gnuradio.x86_64 3.7.2-1.fc20 will be upgraded
---> Package gnuradio.x86_64 3.7.2.1-1.fc20 will be an upgrade
---> Package gr-osmosdr.x86_64 0.1.1-5.20130729git9dfe3a63.fc20 will be upgraded
---> Package gr-osmosdr.x86_64 0.1.1-6.20130729git9dfe3a63.fc20 will be an upgrade
---> Package gr-air-modes.x86_64 0-0.18.20130730git797bef13.fc20 will be upgraded
---> Package gr-air-modes.x86_64 0-0.19.20130730git797bef13.fc20 will be an upgrade
---> Package gnuradio-examples.x86_64 3.7.2-1.fc20 will be upgraded
---> Package gnuradio-examples.x86_64 3.7.2.1-1.fc20 will be an upgrade
---> Package gnuradio-doc.noarch 3.7.2-1.fc20 will be upgraded
---> Package gnuradio-doc.noarch 3.7.2.1-1.fc20 will be an upgrade
---> Package gnuradio-devel.x86_64 3.7.2-1.fc20 will be upgraded
---> Package gnuradio-devel.x86_64 3.7.2.1-1.fc20 will be an upgrade
---> Package gr-osmosdr-devel.x86_64 0.1.1-5.20130729git9dfe3a63.fc20 will be upgraded
---> Package gr-osmosdr-devel.x86_64 0.1.1-6.20130729git9dfe3a63.fc20 will be an upgrade
---> Package gvfs.x86_64 1.18.3-1.fc20 will be upgraded
---> Package gvfs.x86_64 1.18.3-2.fc20 will be an upgrade
---> Package gvfs-smb.x86_64 1.18.3-1.fc20 will be upgraded
---> Package gvfs-smb.x86_64 1.18.3-2.fc20 will be an upgrade
---> Package gvfs-gphoto2.x86_64 1.18.3-1.fc20 will be upgraded
---> Package gvfs-gphoto2.x86_64 1.18.3-2.fc20 will be an upgrade
---> Package gvfs-fuse.x86_64 1.18.3-1.fc20 will be upgraded
---> Package gvfs-fuse.x86_64 1.18.3-2.fc20 will be an upgrade
---> Package gvfs-archive.x86_64 1.18.3-1.fc20 will be upgraded
---> Package gvfs-archive.x86_64 1.18.3-2.fc20 will be an upgrade
---> Package gvfs-afp.x86_64 1.18.3-1.fc20 will be upgraded
---> Package gvfs-afp.x86_64 1.18.3-2.fc20 will be an upgrade
---> Package gvfs-afc.x86_64 1.18.3-1.fc20 will be upgraded
---> Package gvfs-afc.x86_64 1.18.3-2.fc20 will be an upgrade
---> Package hpijs.x86_64 1:3.13.11-3.fc20 will be upgraded
---> Package hpijs.x86_64 1:3.13.11-4.fc20 will be an upgrade
---> Package hplip-libs.x86_64 3.13.11-3.fc20 will be upgraded
---> Package hplip-libs.x86_64 3.13.11-4.fc20 will be an upgrade
---> Package hplip-common.x86_64 3.13.11-3.fc20 will be upgraded
---> Package hplip-common.x86_64 3.13.11-4.fc20 will be an upgrade
---> Package hplip.x86_64 3.13.11-3.fc20 will be upgraded
---> Package hplip.x86_64 3.13.11-4.fc20 will be an upgrade
---> Package libsane-hpaio.x86_64 3.13.11-3.fc20 will be upgraded
---> Package libsane-hpaio.x86_64 3.13.11-4.fc20 will be an upgrade
---> Package hwdata.noarch 0.256-1.fc20 will be upgraded
---> Package hwdata.noarch 0.258-1.fc20 will be an upgrade
---> Package kdelibs.x86_64 6:4.11.3-1.fc20 will be upgraded
---> Package kdelibs.x86_64 6:4.11.3-3.fc20 will be an upgrade
---> Package kdelibs-common.x86_64 6:4.11.3-1.fc20 will be upgraded
---> Package kdelibs-common.x86_64 6:4.11.3-3.fc20 will be an upgrade
---> Package kdelibs-devel.x86_64 6:4.11.3-1.fc20 will be upgraded
---> Package kdelibs-devel.x86_64 6:4.11.3-3.fc20 will be an upgrade
---> Package kernel-doc.noarch 3.11.9-300.fc20 will be upgraded
---> Package kernel-doc.noarch 3.11.10-300.fc20 will be an upgrade
---> Package kernel-headers.x86_64 3.11.9-300.fc20 will be upgraded
---> Package kernel-headers.x86_64 3.11.10-300.fc20 will be an upgrade
---> Package kernel-tools.x86_64 3.11.9-300.fc20 will be upgraded
---> Package kernel-tools.x86_64 3.11.10-300.fc20 will be an upgrade
---> Package kernel-tools-libs.x86_64 3.11.9-300.fc20 will be upgraded
---> Package kernel-tools-libs.x86_64 3.11.10-300.fc20 will be an upgrade
---> Package kexec-tools.x86_64 2.0.4-13.fc20 will be upgraded
---> Package kexec-tools.x86_64 2.0.4-14.fc20 will be an upgrade
---> Package less.x86_64 458-4.fc20 will be upgraded
---> Package less.x86_64 458-5.fc20 will be an upgrade
---> Package libbluray.x86_64 0.4.0-1.fc20 will be upgraded
---> Package libbluray.x86_64 0.4.0-2.fc20 will be an upgrade
---> Package libdrm.x86_64 2.4.47-1.fc20 will be upgraded
---> Package libdrm.x86_64 2.4.49-2.fc20 will be an upgrade
---> Package libdrm.i686 2.4.47-1.fc20 will be upgraded
---> Package libdrm.i686 2.4.49-2.fc20 will be an upgrade
---> Package libdrm-devel.x86_64 2.4.47-1.fc20 will be upgraded
---> Package libdrm-devel.x86_64 2.4.49-2.fc20 will be an upgrade
---> Package libosinfo.x86_64 0.2.7-2.fc20 will be upgraded
---> Package libosinfo.x86_64 0.2.8-1.fc20 will be an upgrade
---> Package libreoffice-calc.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-calc.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-ure.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-ure.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-core.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-core.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-opensymbol-fonts.noarch 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-opensymbol-fonts.noarch 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-writer.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-writer.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-pdfimport.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-pdfimport.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-math.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-math.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-impress.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-impress.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-graphicfilter.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-graphicfilter.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-draw.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-draw.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-xsltfilter.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-xsltfilter.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-langpack-en.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-langpack-en.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libreoffice-langpack-cs.x86_64 1:4.1.3.2-6.fc20 will be upgraded
---> Package libreoffice-langpack-cs.x86_64 1:4.1.3.2-8.fc20 will be an upgrade
---> Package libyubikey.x86_64 1.10-2.fc20 will be upgraded
---> Package libyubikey.x86_64 1.11-1.fc20 will be an upgrade
---> Package live555.x86_64 2013.08.28-3.fc20 will be upgraded
---> Package live555.x86_64 2013.11.26-1.fc20 will be an upgrade
---> Package vlc-core.x86_64 2.1.1-1.fc20 will be upgraded
---> Package vlc-core.x86_64 2.1.1-2.fc20 will be an upgrade
---> Package vlc.x86_64 2.1.1-1.fc20 will be upgraded
---> Package vlc.x86_64 2.1.1-2.fc20 will be an upgrade
---> Package llvm.x86_64 3.3-2.fc20 will be upgraded
---> Package llvm.x86_64 3.3-3.fc20 will be an upgrade
---> Package llvm-libs.x86_64 3.3-2.fc20 will be upgraded
---> Package llvm-libs.x86_64 3.3-3.fc20 will be an upgrade
---> Package llvm-devel.x86_64 3.3-2.fc20 will be upgraded
---> Package llvm-devel.x86_64 3.3-3.fc20 will be an upgrade
---> Package llvm-libs.i686 3.3-2.fc20 will be upgraded
---> Package llvm-libs.i686 3.3-3.fc20 will be an upgrade
---> Package mencoder.x86_64 1.1-15.20131102svn.fc20 will be upgraded
---> Package mencoder.x86_64 1.1-16.20131125svn.fc20 will be an upgrade
---> Package mplayer-common.x86_64 1.1-15.20131102svn.fc20 will be upgraded
---> Package mplayer-common.x86_64 1.1-16.20131125svn.fc20 will be an upgrade
---> Package mplayer.x86_64 1.1-15.20131102svn.fc20 will be upgraded
---> Package mplayer.x86_64 1.1-16.20131125svn.fc20 will be an upgrade
---> Package mesa-dri-drivers.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-dri-drivers.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-dri-drivers.i686 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-dri-drivers.i686 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-filesystem.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-filesystem.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-filesystem.i686 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-filesystem.i686 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libEGL.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libEGL.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libEGL.i686 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libEGL.i686 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libEGL-devel.i686 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libEGL-devel.i686 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libEGL-devel.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libEGL-devel.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libGL.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libGL.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libGL.i686 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libGL.i686 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libGL-devel.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libGL-devel.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libGLES.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libGLES.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libgbm.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libgbm.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libgbm.i686 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libgbm.i686 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libglapi.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libglapi.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libglapi.i686 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libglapi.i686 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libwayland-egl.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libwayland-egl.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mesa-libxatracker.x86_64 9.2.3-1.20131114.fc20 will be upgraded
---> Package mesa-libxatracker.x86_64 9.2.4-1.20131128.fc20 will be an upgrade
---> Package mlt.x86_64 0.9.0-1.fc20 will be upgraded
---> Package mlt.x86_64 0.9.0-2.fc20 will be an upgrade
---> Package mlt-python.x86_64 0.9.0-1.fc20 will be upgraded
---> Package mlt-python.x86_64 0.9.0-2.fc20 will be an upgrade
---> Package numpy.x86_64 1:1.8.0-2.fc20 will be upgraded
---> Package numpy.x86_64 1:1.8.0-3.fc20 will be an upgrade
---> Package numpy-f2py.x86_64 1:1.8.0-2.fc20 will be upgraded
---> Package numpy-f2py.x86_64 1:1.8.0-3.fc20 will be an upgrade
---> Package perf.x86_64 3.11.9-300.fc20 will be upgraded
---> Package perf.x86_64 3.11.10-300.fc20 will be an upgrade
---> Package perl-Date-Manip.noarch 6.41-1.fc20 will be upgraded
---> Package perl-Date-Manip.noarch 6.42-1.fc20 will be an upgrade
---> Package policycoreutils.x86_64 2.2.2-2.fc20 will be upgraded
---> Package policycoreutils.x86_64 2.2.2-3.fc20 will be an upgrade
---> Package policycoreutils-python.x86_64 2.2.2-2.fc20 will be upgraded
---> Package policycoreutils-python.x86_64 2.2.2-3.fc20 will be an upgrade
---> Package policycoreutils-sandbox.x86_64 2.2.2-2.fc20 will be upgraded
---> Package policycoreutils-sandbox.x86_64 2.2.2-3.fc20 will be an upgrade
---> Package policycoreutils-devel.x86_64 2.2.2-2.fc20 will be upgraded
---> Package policycoreutils-devel.x86_64 2.2.2-3.fc20 will be an upgrade
---> Package policycoreutils-gui.x86_64 2.2.2-2.fc20 will be upgraded
---> Package policycoreutils-gui.x86_64 2.2.2-3.fc20 will be an upgrade
---> Package policycoreutils-restorecond.x86_64 2.2.2-2.fc20 will be upgraded
---> Package policycoreutils-restorecond.x86_64 2.2.2-3.fc20 will be an upgrade
---> Package python-BeautifulSoup.noarch 1:3.2.1-6.fc20 will be upgraded
---> Package python-BeautifulSoup.noarch 1:3.2.1-7.fc20 will be an upgrade
---> Package python-blivet.noarch 0.23.6-1.fc20 will be upgraded
---> Package python-blivet.noarch 0.23.7-1.fc20 will be an upgrade
---> Package qa-tools-workstation.x86_64 3.2-157 will be upgraded
---> Package qa-tools-workstation.x86_64 3.2-161 will be an upgrade
---> Package qpid-cpp-client.x86_64 0.24-6.fc20 will be upgraded
---> Package qpid-cpp-client.x86_64 0.24-8.fc20 will be an upgrade
---> Package qpid-cpp-server.x86_64 0.24-6.fc20 will be upgraded
---> Package qpid-cpp-server.x86_64 0.24-8.fc20 will be an upgrade
---> Package qpid-cpp-client-rdma.x86_64 0.24-6.fc20 will be upgraded
---> Package qpid-cpp-client-rdma.x86_64 0.24-8.fc20 will be an upgrade
---> Package qpid-cpp-client-devel.x86_64 0.24-6.fc20 will be upgraded
---> Package qpid-cpp-client-devel.x86_64 0.24-8.fc20 will be an upgrade
---> Package rpcbind.x86_64 0.2.1-0.1.fc20 will be upgraded
---> Package rpcbind.x86_64 0.2.1-0.2.fc20 will be an upgrade
---> Package ruby.x86_64 2.0.0.247-15.fc20 will be upgraded
---> Package ruby.x86_64 2.0.0.353-16.fc20 will be an upgrade
---> Package ruby-libs.x86_64 2.0.0.247-15.fc20 will be upgraded
---> Package ruby-libs.x86_64 2.0.0.353-16.fc20 will be an upgrade
---> Package ruby-devel.x86_64 2.0.0.247-15.fc20 will be upgraded
---> Package ruby-devel.x86_64 2.0.0.353-16.fc20 will be an upgrade
---> Package ruby-irb.noarch 2.0.0.247-15.fc20 will be upgraded
---> Package ruby-irb.noarch 2.0.0.353-16.fc20 will be an upgrade
---> Package rubygem-bigdecimal.x86_64 1.2.0-15.fc20 will be upgraded
---> Package rubygem-bigdecimal.x86_64 1.2.0-16.fc20 will be an upgrade
---> Package rubygem-io-console.x86_64 0.4.2-15.fc20 will be upgraded
---> Package rubygem-io-console.x86_64 0.4.2-16.fc20 will be an upgrade
---> Package rubygem-psych.x86_64 2.0.0-15.fc20 will be upgraded
---> Package rubygem-psych.x86_64 2.0.0-16.fc20 will be an upgrade
---> Package seamonkey.x86_64 2.21-1.fc20 will be upgraded
---> Package seamonkey.x86_64 2.22.1-1.fc20 will be an upgrade
---> Package selinux-policy.noarch 3.12.1-105.fc20 will be upgraded
---> Package selinux-policy.noarch 3.12.1-106.fc20 will be an upgrade
---> Package selinux-policy-targeted.noarch 3.12.1-105.fc20 will be upgraded
---> Package selinux-policy-targeted.noarch 3.12.1-106.fc20 will be an upgrade
---> Package selinux-policy-doc.noarch 3.12.1-105.fc20 will be upgraded
---> Package selinux-policy-doc.noarch 3.12.1-106.fc20 will be an upgrade
---> Package selinux-policy-devel.noarch 3.12.1-105.fc20 will be upgraded
---> Package selinux-policy-devel.noarch 3.12.1-106.fc20 will be an upgrade
---> Package shared-color-targets.noarch 0.1.2-3.fc20 will be upgraded
---> Package shared-color-targets.noarch 0.1.3-1.fc20 will be an upgrade
---> Package spin-kickstarts.noarch 0.20.20-1.fc20 will be upgraded
---> Package spin-kickstarts.noarch 0.20.21-1.fc20 will be an upgrade
---> Package fedora-kickstarts.noarch 0.20.20-1.fc20 will be upgraded
---> Package fedora-kickstarts.noarch 0.20.21-1.fc20 will be an upgrade
---> Package subversion.x86_64 1.8.3-1.fc20 will be upgraded
---> Package subversion.x86_64 1.8.5-2.fc20 will be an upgrade
---> Package subversion-libs.x86_64 1.8.3-1.fc20 will be upgraded
---> Package subversion-libs.x86_64 1.8.5-2.fc20 will be an upgrade
---> Package subversion-perl.x86_64 1.8.3-1.fc20 will be upgraded
---> Package subversion-perl.x86_64 1.8.5-2.fc20 will be an upgrade
---> Package terminus-fonts.noarch 4.38-2.fc20 will be upgraded
---> Package terminus-fonts.noarch 4.38-3.fc20 will be an upgrade
---> Package terminus-fonts-console.noarch 4.38-2.fc20 will be upgraded
---> Package terminus-fonts-console.noarch 4.38-3.fc20 will be an upgrade
---> Package uboot-tools.x86_64 2013.10-2.fc20 will be upgraded
---> Package uboot-tools.x86_64 2013.10-3.fc20 will be an upgrade
---> Package xdialog.x86_64 2.3.1-11.fc20 will be upgraded
---> Package xdialog.x86_64 2.3.1-13.fc20 will be an upgrade
---> Package ykpers.x86_64 1.13.0-3.fc20 will be upgraded
---> Package ykpers.x86_64 1.14.1-1.fc20 will be an upgrade
---> Package NetworkManager.x86_64 1:0.9.9.0-19.git20131003.fc20 will be upgraded
---> Package NetworkManager.x86_64 1:0.9.9.0-20.git20131003.fc20 will be an upgrade
---> Package NetworkManager-glib.x86_64 1:0.9.9.0-19.git20131003.fc20 will be upgraded
---> Package NetworkManager-glib.x86_64 1:0.9.9.0-20.git20131003.fc20 will be an upgrade
---> Package PackageKit-device-rebind.x86_64 0.8.13-1.fc20 will be zastaralý
---> Package PackageKit.x86_64 0.8.13-1.fc20 will be upgraded
---> Package PackageKit.x86_64 0.8.14-2.fc20 will be an upgrade
---> Package PackageKit-glib.x86_64 0.8.13-1.fc20 will be upgraded
---> Package PackageKit-glib.x86_64 0.8.14-2.fc20 will be an upgrade
---> Package PackageKit-yum-plugin.x86_64 0.8.13-1.fc20 will be upgraded
---> Package PackageKit-yum-plugin.x86_64 0.8.14-2.fc20 will be an upgrade
---> Package PackageKit-yum.x86_64 0.8.13-1.fc20 will be upgraded
---> Package PackageKit-yum.x86_64 0.8.14-2.fc20 will be an upgrade
---> Package PackageKit-gtk3-module.x86_64 0.8.13-1.fc20 will be upgraded
---> Package PackageKit-gtk3-module.x86_64 0.8.14-2.fc20 will be an upgrade
---> Package PackageKit-gstreamer-plugin.x86_64 0.8.13-1.fc20 will be upgraded
---> Package PackageKit-gstreamer-plugin.x86_64 0.8.14-2.fc20 will be an upgrade
---> Package PackageKit-command-not-found.x86_64 0.8.13-1.fc20 will be upgraded
---> Package PackageKit-command-not-found.x86_64 0.8.14-2.fc20 will be an upgrade
---> Package anaconda.x86_64 20.25.11-1.fc20 will be upgraded
---> Package anaconda.x86_64 20.25.13-1.fc20 will be an upgrade
---> Package anaconda-widgets.x86_64 20.25.11-1.fc20 will be upgraded
---> Package anaconda-widgets.x86_64 20.25.13-1.fc20 will be an upgrade
---> Package armadillo.x86_64 3.920.2-1.fc20 will be upgraded
---> Package armadillo.x86_64 3.920.3-1.fc20 will be an upgrade
---> Package autocorr-cs.noarch 1:4.1.3.2-6.fc20 will be upgraded
---> Package autocorr-cs.noarch 1:4.1.3.2-8.fc20 will be an upgrade
---> Package autocorr-en.noarch 1:4.1.3.2-6.fc20 will be upgraded
---> Package autocorr-en.noarch 1:4.1.3.2-8.fc20 will be an upgrade
---> Package boost.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-locale.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-locale.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-serialization.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-serialization.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-filesystem.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-filesystem.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-test.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-test.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-log.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-log.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-program-options.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-program-options.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-wave.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-wave.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-timer.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-timer.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-signals.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-signals.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-regex.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-regex.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-math.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-math.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-context.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-context.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-atomic.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-atomic.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-date-time.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-date-time.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-iostreams.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-iostreams.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-python.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-python.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-random.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-random.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-graph.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-graph.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-devel.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-devel.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-build.noarch 1.54.0-5.fc20 will be upgraded
---> Package boost-build.noarch 1.54.0-7.fc20 will be an upgrade
---> Package boost-chrono.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-chrono.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-chrono.i686 1.54.0-5.fc20 will be upgraded
---> Package boost-chrono.i686 1.54.0-7.fc20 will be an upgrade
---> Package boost-jam.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-jam.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-python3.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-python3.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-system.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-system.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package boost-system.i686 1.54.0-5.fc20 will be upgraded
---> Package boost-system.i686 1.54.0-7.fc20 will be an upgrade
---> Package boost-thread.i686 1.54.0-5.fc20 will be upgraded
---> Package boost-thread.i686 1.54.0-7.fc20 will be an upgrade
---> Package boost-thread.x86_64 1.54.0-5.fc20 will be upgraded
---> Package boost-thread.x86_64 1.54.0-7.fc20 will be an upgrade
---> Package cups.x86_64 1:1.7.0-4.fc20 will be upgraded
---> Package cups.x86_64 1:1.7.0-6.fc20 will be an upgrade
---> Package cups-filesystem.noarch 1:1.7.0-4.fc20 will be upgraded
---> Package cups-filesystem.noarch 1:1.7.0-6.fc20 will be an upgrade
---> Package cups-libs.x86_64 1:1.7.0-4.fc20 will be upgraded
---> Package cups-libs.x86_64 1:1.7.0-6.fc20 will be an upgrade
---> Package cups-devel.x86_64 1:1.7.0-4.fc20 will be upgraded
---> Package cups-devel.x86_64 1:1.7.0-6.fc20 will be an upgrade
---> Package dnf.noarch 0.4.8-1.fc20 will be upgraded
---> Package dnf.noarch 0.4.9-1.fc20 will be an upgrade
---> Package fedora-release.noarch 20-0.8 will be upgraded
---> Package fedora-release.noarch 20-1 will be an upgrade
---> Package gimp.x86_64 2:2.8.8-3.fc20 will be upgraded
---> Package gimp.x86_64 2:2.8.10-1.fc20 will be an upgrade
---> Package gimp-libs.x86_64 2:2.8.8-3.fc20 will be upgraded
---> Package gimp-libs.x86_64 2:2.8.10-1.fc20 will be an upgrade
---> Package gimp-help-browser.x86_64 2:2.8.8-3.fc20 will be upgraded
---> Package gimp-help-browser.x86_64 2:2.8.10-1.fc20 will be an upgrade
---> Package glib2.x86_64 2.38.2-1.fc20 will be upgraded
---> Package glib2.x86_64 2.38.2-2.fc20 will be an upgrade
---> Package glib2-devel.x86_64 2.38.2-1.fc20 will be upgraded
---> Package glib2-devel.x86_64 2.38.2-2.fc20 will be an upgrade
---> Package glib2.i686 2.38.2-1.fc20 will be upgraded
---> Package glib2.i686 2.38.2-2.fc20 will be an upgrade
---> Package kernel.x86_64 3.11.7-300.fc20 will be smazán
---> Package kernel-devel.x86_64 3.11.7-300.fc20 will be smazán
---> Package kernel-modules-extra.x86_64 3.11.7-300.fc20 will be smazán
--> Finished dependency resolution
Dependencies resolved.

================================================================================
 Package                   Arch   Verze                   Repozitář        Vel.
================================================================================
Instalování:
 kernel                    x86_64 3.11.10-300.fc20        updates-testing  30 M
 kernel-devel              x86_64 3.11.10-300.fc20        updates-testing 8.4 M
 kernel-modules-extra      x86_64 3.11.10-300.fc20        updates-testing 2.0 M
Upgrading:
 gnome-shell               x86_64 3.10.2.1-3.fc20         updates-testing 1.2 M
 gnuradio                  x86_64 3.7.2.1-1.fc20          updates-testing 9.4 M
 gr-osmosdr                x86_64 0.1.1-6.20130729git9dfe3a63.fc20
                                                          updates-testing 327 k
 gr-air-modes              x86_64 0-0.19.20130730git797bef13.fc20
                                                          updates-testing 189 k
 gnuradio-examples         x86_64 3.7.2.1-1.fc20          updates-testing 386 k
 gnuradio-doc              noarch 3.7.2.1-1.fc20          updates-testing 143 M
 gnuradio-devel            x86_64 3.7.2.1-1.fc20          updates-testing 451 k
 gr-osmosdr-devel          x86_64 0.1.1-6.20130729git9dfe3a63.fc20
                                                          updates-testing  12 k
 gvfs                      x86_64 1.18.3-2.fc20           updates-testing 1.3 M
 gvfs-smb                  x86_64 1.18.3-2.fc20           updates-testing 111 k
 gvfs-gphoto2              x86_64 1.18.3-2.fc20           updates-testing 111 k
 gvfs-fuse                 x86_64 1.18.3-2.fc20           updates-testing  41 k
 gvfs-archive              x86_64 1.18.3-2.fc20           updates-testing  76 k
 gvfs-afp                  x86_64 1.18.3-2.fc20           updates-testing 139 k
 gvfs-afc                  x86_64 1.18.3-2.fc20           updates-testing 109 k
 hpijs                     x86_64 1:3.13.11-4.fc20        updates-testing 4.9 M
 hplip-libs                x86_64 3.13.11-4.fc20          updates-testing 166 k
 hplip-common              x86_64 3.13.11-4.fc20          updates-testing  86 k
 hplip                     x86_64 3.13.11-4.fc20          updates-testing 6.0 M
 libsane-hpaio             x86_64 3.13.11-4.fc20          updates-testing 103 k
 hwdata                    noarch 0.258-1.fc20            updates-testing 1.1 M
 kdelibs                   x86_64 6:4.11.3-3.fc20         updates-testing  11 M
 kdelibs-common            x86_64 6:4.11.3-3.fc20         updates-testing 1.8 M
 kdelibs-devel             x86_64 6:4.11.3-3.fc20         updates-testing 1.8 M
 kernel-doc                noarch 3.11.10-300.fc20        updates-testing 7.8 M
 kernel-headers            x86_64 3.11.10-300.fc20        updates-testing 898 k
 kernel-tools              x86_64 3.11.10-300.fc20        updates-testing 117 k
 kernel-tools-libs         x86_64 3.11.10-300.fc20        updates-testing  57 k
 kexec-tools               x86_64 2.0.4-14.fc20           updates-testing 304 k
 less                      x86_64 458-5.fc20              updates-testing 120 k
 libbluray                 x86_64 0.4.0-2.fc20            updates-testing 111 k
 libdrm                    x86_64 2.4.49-2.fc20           updates-testing 119 k
 libdrm                    i686   2.4.49-2.fc20           updates-testing 123 k
 libdrm-devel              x86_64 2.4.49-2.fc20           updates-testing  88 k
 libosinfo                 x86_64 0.2.8-1.fc20            updates-testing 199 k
 libreoffice-calc          x86_64 1:4.1.3.2-8.fc20        updates-testing 7.6 M
 libreoffice-ure           x86_64 1:4.1.3.2-8.fc20        updates-testing 2.6 M
 libreoffice-core          x86_64 1:4.1.3.2-8.fc20        updates-testing  81 M
 libreoffice-opensymbol-fonts
                           noarch 1:4.1.3.2-8.fc20        updates-testing 194 k
 libreoffice-writer        x86_64 1:4.1.3.2-8.fc20        updates-testing 4.4 M
 libreoffice-pdfimport     x86_64 1:4.1.3.2-8.fc20        updates-testing 275 k
 libreoffice-math          x86_64 1:4.1.3.2-8.fc20        updates-testing 1.0 M
 libreoffice-impress       x86_64 1:4.1.3.2-8.fc20        updates-testing 1.1 M
 libreoffice-graphicfilter x86_64 1:4.1.3.2-8.fc20        updates-testing 421 k
 libreoffice-draw          x86_64 1:4.1.3.2-8.fc20        updates-testing 654 k
 libreoffice-xsltfilter    x86_64 1:4.1.3.2-8.fc20        updates-testing 233 k
 libreoffice-langpack-en   x86_64 1:4.1.3.2-8.fc20        updates-testing  46 k
 libreoffice-langpack-cs   x86_64 1:4.1.3.2-8.fc20        updates-testing 6.7 M
 libyubikey                x86_64 1.11-1.fc20             updates-testing  29 k
 live555                   x86_64 2013.11.26-1.fc20       rpmfusion-free-rawhide
                                                                          321 k
 vlc-core                  x86_64 2.1.1-2.fc20            rpmfusion-free-rawhide
                                                                          8.3 M
 vlc                       x86_64 2.1.1-2.fc20            rpmfusion-free-rawhide
                                                                          1.8 M
 llvm                      x86_64 3.3-3.fc20              updates-testing 1.3 M
 llvm-libs                 x86_64 3.3-3.fc20              updates-testing 6.6 M
 llvm-devel                x86_64 3.3-3.fc20              updates-testing 1.4 M
 llvm-libs                 i686   3.3-3.fc20              updates-testing 7.1 M
 mencoder                  x86_64 1.1-16.20131125svn.fc20 rpmfusion-free-rawhide
                                                                          839 k
 mplayer-common            x86_64 1.1-16.20131125svn.fc20 rpmfusion-free-rawhide
                                                                          1.2 M
 mplayer                   x86_64 1.1-16.20131125svn.fc20 rpmfusion-free-rawhide
                                                                          1.1 M
 mesa-dri-drivers          x86_64 9.2.4-1.20131128.fc20   updates-testing  11 M
 mesa-dri-drivers          i686   9.2.4-1.20131128.fc20   updates-testing  12 M
 mesa-filesystem           x86_64 9.2.4-1.20131128.fc20   updates-testing  21 k
 mesa-filesystem           i686   9.2.4-1.20131128.fc20   updates-testing  21 k
 mesa-libEGL               x86_64 9.2.4-1.20131128.fc20   updates-testing  74 k
 mesa-libEGL               i686   9.2.4-1.20131128.fc20   updates-testing  74 k
 mesa-libEGL-devel         i686   9.2.4-1.20131128.fc20   updates-testing  25 k
 mesa-libEGL-devel         x86_64 9.2.4-1.20131128.fc20   updates-testing  25 k
 mesa-libGL                x86_64 9.2.4-1.20131128.fc20   updates-testing 136 k
 mesa-libGL                i686   9.2.4-1.20131128.fc20   updates-testing 151 k
 mesa-libGL-devel          x86_64 9.2.4-1.20131128.fc20   updates-testing 129 k
 mesa-libGLES              x86_64 9.2.4-1.20131128.fc20   updates-testing  27 k
 mesa-libgbm               x86_64 9.2.4-1.20131128.fc20   updates-testing  31 k
 mesa-libgbm               i686   9.2.4-1.20131128.fc20   updates-testing  31 k
 mesa-libglapi             x86_64 9.2.4-1.20131128.fc20   updates-testing  33 k
 mesa-libglapi             i686   9.2.4-1.20131128.fc20   updates-testing  49 k
 mesa-libwayland-egl       x86_64 9.2.4-1.20131128.fc20   updates-testing  23 k
 mesa-libxatracker         x86_64 9.2.4-1.20131128.fc20   updates-testing 670 k
 mlt                       x86_64 0.9.0-2.fc20            rpmfusion-free-rawhide
                                                                          2.3 M
 mlt-python                x86_64 0.9.0-2.fc20            rpmfusion-free-rawhide
                                                                          106 k
 numpy                     x86_64 1:1.8.0-3.fc20          updates-testing 2.9 M
 numpy-f2py                x86_64 1:1.8.0-3.fc20          updates-testing 259 k
 perf                      x86_64 3.11.10-300.fc20        updates-testing 598 k
 perl-Date-Manip           noarch 6.42-1.fc20             updates-testing 1.1 M
 policycoreutils           x86_64 2.2.2-3.fc20            updates-testing 669 k
 policycoreutils-python    x86_64 2.2.2-3.fc20            updates-testing 430 k
 policycoreutils-sandbox   x86_64 2.2.2-3.fc20            updates-testing 163 k
 policycoreutils-devel     x86_64 2.2.2-3.fc20            updates-testing 317 k
 policycoreutils-gui       x86_64 2.2.2-3.fc20            updates-testing 1.7 M
 policycoreutils-restorecond
                           x86_64 2.2.2-3.fc20            updates-testing 166 k
 python-BeautifulSoup      noarch 1:3.2.1-7.fc20          updates-testing  44 k
 python-blivet             noarch 0.23.7-1.fc20           fedora          526 k
 qa-tools-workstation      x86_64 3.2-161                 qa              289 k
 qpid-cpp-client           x86_64 0.24-8.fc20             updates-testing 1.1 M
 qpid-cpp-server           x86_64 0.24-8.fc20             updates-testing 1.8 M
 qpid-cpp-client-rdma      x86_64 0.24-8.fc20             updates-testing  94 k
 qpid-cpp-client-devel     x86_64 0.24-8.fc20             updates-testing 423 k
 rpcbind                   x86_64 0.2.1-0.2.fc20          updates-testing  56 k
 ruby                      x86_64 2.0.0.353-16.fc20       updates-testing  65 k
 ruby-libs                 x86_64 2.0.0.353-16.fc20       updates-testing 2.8 M
 ruby-devel                x86_64 2.0.0.353-16.fc20       updates-testing 125 k
 ruby-irb                  noarch 2.0.0.353-16.fc20       updates-testing  86 k
 rubygem-bigdecimal        x86_64 1.2.0-16.fc20           updates-testing  77 k
 rubygem-io-console        x86_64 0.4.2-16.fc20           updates-testing  48 k
 rubygem-psych             x86_64 2.0.0-16.fc20           updates-testing  75 k
 seamonkey                 x86_64 2.22.1-1.fc20           updates-testing  44 M
 selinux-policy            noarch 3.12.1-106.fc20         updates-testing 307 k
 selinux-policy-targeted   noarch 3.12.1-106.fc20         updates-testing 3.5 M
 selinux-policy-doc        noarch 3.12.1-106.fc20         updates-testing 816 k
 selinux-policy-devel      noarch 3.12.1-106.fc20         updates-testing 3.1 M
 shared-color-targets      noarch 0.1.3-1.fc20            updates-testing 2.3 M
 spin-kickstarts           noarch 0.20.21-1.fc20          updates-testing  20 k
 fedora-kickstarts         noarch 0.20.21-1.fc20          updates-testing  38 k
 subversion                x86_64 1.8.5-2.fc20            updates-testing 1.2 M
 subversion-libs           x86_64 1.8.5-2.fc20            updates-testing 1.1 M
 subversion-perl           x86_64 1.8.5-2.fc20            updates-testing 867 k
 terminus-fonts            noarch 4.38-3.fc20             updates-testing 1.4 M
 terminus-fonts-console    noarch 4.38-3.fc20             updates-testing 676 k
 uboot-tools               x86_64 2013.10-3.fc20          updates-testing 134 k
 xdialog                   x86_64 2.3.1-13.fc20           updates-testing 350 k
 ykpers                    x86_64 1.14.1-1.fc20           updates-testing  89 k
 NetworkManager            x86_64 1:0.9.9.0-20.git20131003.fc20
                                                          updates-testing 1.2 M
 NetworkManager-glib       x86_64 1:0.9.9.0-20.git20131003.fc20
                                                          updates-testing 341 k
 PackageKit                x86_64 0.8.14-2.fc20           updates-testing 574 k
     nahrazuje se  PackageKit-device-rebind.x86_64 0.8.13-1.fc20
 PackageKit-glib           x86_64 0.8.14-2.fc20           updates-testing 127 k
 PackageKit-yum-plugin     x86_64 0.8.14-2.fc20           updates-testing  12 k
 PackageKit-yum            x86_64 0.8.14-2.fc20           updates-testing  83 k
 PackageKit-gtk3-module    x86_64 0.8.14-2.fc20           updates-testing  18 k
 PackageKit-gstreamer-plugin
                           x86_64 0.8.14-2.fc20           updates-testing  17 k
 PackageKit-command-not-found
                           x86_64 0.8.14-2.fc20           updates-testing  26 k
 anaconda                  x86_64 20.25.13-1.fc20         updates-testing 2.1 M
 anaconda-widgets          x86_64 20.25.13-1.fc20         updates-testing 707 k
 armadillo                 x86_64 3.920.3-1.fc20          updates-testing  18 k
 autocorr-cs               noarch 1:4.1.3.2-8.fc20        updates-testing 139 k
 autocorr-en               noarch 1:4.1.3.2-8.fc20        updates-testing 156 k
 boost                     x86_64 1.54.0-7.fc20           updates-testing  34 k
 boost-locale              x86_64 1.54.0-7.fc20           updates-testing 252 k
 boost-serialization       x86_64 1.54.0-7.fc20           updates-testing 158 k
 boost-filesystem          x86_64 1.54.0-7.fc20           updates-testing  65 k
 boost-test                x86_64 1.54.0-7.fc20           updates-testing 214 k
 boost-log                 x86_64 1.54.0-7.fc20           updates-testing 597 k
 boost-program-options     x86_64 1.54.0-7.fc20           updates-testing 147 k
 boost-wave                x86_64 1.54.0-7.fc20           updates-testing 197 k
 boost-timer               x86_64 1.54.0-7.fc20           updates-testing  40 k
 boost-signals             x86_64 1.54.0-7.fc20           updates-testing  58 k
 boost-regex               x86_64 1.54.0-7.fc20           updates-testing 299 k
 boost-math                x86_64 1.54.0-7.fc20           updates-testing 316 k
 boost-context             x86_64 1.54.0-7.fc20           updates-testing  35 k
 boost-atomic              x86_64 1.54.0-7.fc20           updates-testing  36 k
 boost-date-time           x86_64 1.54.0-7.fc20           updates-testing  49 k
 boost-iostreams           x86_64 1.54.0-7.fc20           updates-testing  57 k
 boost-python              x86_64 1.54.0-7.fc20           updates-testing 128 k
 boost-random              x86_64 1.54.0-7.fc20           updates-testing  38 k
 boost-graph               x86_64 1.54.0-7.fc20           updates-testing 128 k
 boost-devel               x86_64 1.54.0-7.fc20           updates-testing 7.4 M
 boost-build               noarch 1.54.0-7.fc20           updates-testing 564 k
 boost-chrono              x86_64 1.54.0-7.fc20           updates-testing  42 k
 boost-chrono              i686   1.54.0-7.fc20           updates-testing  42 k
 boost-jam                 x86_64 1.54.0-7.fc20           updates-testing 133 k
 boost-python3             x86_64 1.54.0-7.fc20           updates-testing 127 k
 boost-system              x86_64 1.54.0-7.fc20           updates-testing  38 k
 boost-system              i686   1.54.0-7.fc20           updates-testing  38 k
 boost-thread              i686   1.54.0-7.fc20           updates-testing  57 k
 boost-thread              x86_64 1.54.0-7.fc20           updates-testing  57 k
 cups                      x86_64 1:1.7.0-6.fc20          updates-testing 1.4 M
 cups-filesystem           noarch 1:1.7.0-6.fc20          updates-testing  89 k
 cups-libs                 x86_64 1:1.7.0-6.fc20          updates-testing 366 k
 cups-devel                x86_64 1:1.7.0-6.fc20          updates-testing 133 k
 dnf                       noarch 0.4.9-1.fc20            updates-testing 423 k
 fedora-release            noarch 20-1                    updates-testing  33 k
 gimp                      x86_64 2:2.8.10-1.fc20         updates-testing  14 M
 gimp-libs                 x86_64 2:2.8.10-1.fc20         updates-testing 1.3 M
 gimp-help-browser         x86_64 2:2.8.10-1.fc20         updates-testing  81 k
 glib2                     x86_64 2.38.2-2.fc20           updates-testing 2.1 M
 glib2-devel               x86_64 2.38.2-2.fc20           updates-testing 413 k
 glib2                     i686   2.38.2-2.fc20           updates-testing 2.1 M
Odstraňuje se:
 kernel                    x86_64 3.11.7-300.fc20         @System         128 M
 kernel-devel              x86_64 3.11.7-300.fc20         @System          31 M
 kernel-modules-extra      x86_64 3.11.7-300.fc20         @System         8.1 M

Shrnutí transakce
================================================================================
Instalovat     3 
Aktualizace  175 Balíček
Odstranění     3 

Celková velikost ke stahování: 512 M
V pořádku [a/N]: y
Stahování balíčků:
--------------------------------------------------------------------------------
Celkem                                           24 GB/s | 512 MB     00:00     
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 279, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 192, in _main
    return_code, resultmsgs = base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 198, in do_transaction
    if self.gpgsigcheck(downloadpkgs) != 0:
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 218, in gpgsigcheck
    result, errmsg = self.sigCheckPkg(po)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 1022, in sigCheckPkg
    sigresult = dnf.rpmUtils.miscutils.checkSig(ts, po.localPkg())
  File "/usr/lib/python2.7/site-packages/dnf/rpmUtils/miscutils.py", line 61, in checkSig
    fdno = os.open(package, os.O_RDONLY)
OSError: [Errno 2] Adresář nebo soubor neexistuje: '/var/cache/dnf/x86_64/20/updates-testing/packages/kernel-3.11.10-300.fc20.x86_64.rpm'
Comment 9 Zdeněk Pavlas 2013-12-06 07:35:39 EST
Thanks, this helped a lot.  There's a failure mode in librepo that *doesn't* set the error flag on any package targets at all. download_packages() then returns as if everything went okay.

Fixed with https://github.com/zde/dnf/commit/e759fdb6
Comment 10 Zdeněk Pavlas 2013-12-09 03:05:41 EST
*** Bug 1039319 has been marked as a duplicate of this bug. ***
Comment 11 Zdeněk Pavlas 2013-12-19 08:26:05 EST
*** Bug 1045012 has been marked as a duplicate of this bug. ***
Comment 12 Fedora Update System 2014-01-02 05:09:39 EST
dnf-0.4.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.10-1.fc20
Comment 13 Fedora Update System 2014-01-03 03:41:22 EST
Package dnf-0.4.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0089/dnf-0.4.10-1.fc20
then log in and leave karma (feedback).
Comment 14 Ales Kozumplik 2014-01-03 07:15:16 EST
*** Bug 1048183 has been marked as a duplicate of this bug. ***
Comment 15 Fedora Update System 2014-01-04 14:53:02 EST
dnf-0.4.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.